org.rrd4j.data

## Class Def

- java.lang.Object
- - org.rrd4j.data.Source
  - - org.rrd4j.data.Def

-     class Def
      extends Source

  RRD DEF (Data Source Definition) implementation.
  Represents a data source defined in an RRD file with specific name, consolidation function, and backend configuration.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.data.Source

      `timestamps, values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Def(String name, FetchData fetchData)`
    `Def(String name, String dsName, FetchData fetchData)`
    `Def(String name, URI rrdUri, String dsName, ConsolFun consolFunc, RrdBackendFactory backend)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) org.rrd4j.data.Aggregates` | `getAggregates(long tStart, long tEnd)` Deprecated.
    `(package private) long` | `getArchiveEndTime()`
    `(package private) RrdBackendFactory` | `getBackend()`
    `(package private) URI` | `getCanonicalUri()`
    `(package private) ConsolFun` | `getConsolFun()`
    `(package private) String` | `getDsName()`
    `(package private) long` | `getFetchStep()`
    `(package private) double` | `getPercentile(long tStart, long tEnd, double percentile)` Deprecated.
    `(package private) RrdDb` | `getRrdDb()`
    `(package private) long[]` | `getRrdTimestamps()`
    `(package private) double[]` | `getRrdValues()`
    `(package private) boolean` | `isCompatibleWith(Def def)`
    `(package private) boolean` | `isLoaded()`
    `(package private) void` | `setFetchData(FetchData fetchData)`

    - ### Methods inherited from class org.rrd4j.data.Source

      `getName, getTimestamps, getValues, setTimestamps, setValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Def

          Def(String name,
              FetchData fetchData)

    - #### Def

          Def(String name,
              String dsName,
              FetchData fetchData)

    - #### Def

          Def(String name,
              URI rrdUri,
              String dsName,
              ConsolFun consolFunc,
              RrdBackendFactory backend)

  - ### Method Detail

    - #### getAggregates

          @Deprecated
          org.rrd4j.data.Aggregates getAggregates(long tStart,
                                                              long tEnd)

      Deprecated.
      Overrides:
        `getAggregates` in class `Source`
      Returns:
        the Aggregates

    - #### getArchiveEndTime

          long getArchiveEndTime()

    - #### getBackend

          RrdBackendFactory getBackend()

    - #### getCanonicalUri

          URI getCanonicalUri()

    - #### getConsolFun

          ConsolFun getConsolFun()

    - #### getDsName

          String getDsName()

    - #### getFetchStep

          long getFetchStep()

    - #### getPercentile

          @Deprecated
          double getPercentile(long tStart,
                                           long tEnd,
                                           double percentile)

      Deprecated.
      Overrides:
        `getPercentile` in class `Source`
      Returns:
        the percentile

    - #### getRrdDb

          RrdDb getRrdDb()

    - #### getRrdTimestamps

          long[] getRrdTimestamps()

    - #### getRrdValues

          double[] getRrdValues()

    - #### isCompatibleWith

          boolean isCompatibleWith(Def def)

    - #### isLoaded

          boolean isLoaded()

    - #### setFetchData

          void setFetchData(FetchData fetchData)